Subject: I-D Action: draft-bowers-spring-adv-per-algorithm-label-blocks-02.txt

From: [email-masked]
Date: Mon, 05 Oct 2015 12:04:37 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : Advertising Per-Topology and Per-Algorithm Label Blocks
        Authors         : Chris Bowers
                          Pushpasis Sarkar
                          Hannes Gredler
                          Uma Chunduri
	Filename        : draft-bowers-spring-adv-per-algorithm-label-blocks-02.txt
	Pages           : 14
	Date            : 2015-10-05

Abstract:
   When segment routing is used in a network that is controlled by a
   link state IGP (such as ISIS or OSPF), each node in the network can
   be assigned one or more index numbers, known as "node-SIDs".  The
   node-SIDs are unique within the network, and are known to all the
   nodes in the network.  If an ingress node has a data packet to be
   sent to an egress node, the ingress node may select a node-SID
   corresponding to the egress node, and "translate" that node-SID to an
   MPLS label.  The MPLS label represents a particular path to the
   egress node; the path is determined by applying a routing algorithm
   to a particular view of the network topology and a particular set of
   metric assignments to the links of that topology.  The packet can
   then be forwarded by pushing the label on the packet's label stack
   and transmitting the packet to the next hop on the corresponding path
   to the egress node.  This document compares two different procedures
   for translating a node-SID to the MPLS label that represents a path
   chosen by a particular algorithm operating on a particular topology.
   It also specifies the ISIS extensions needed to support one of the
   procedures (known as the "per-topology/per-algorithm label block"
   procedure).

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-bowers-spring-adv-per-algorithm-label-blocks/

There's also a htmlized version available at:
https://tools.ietf.org/html/draft-bowers-spring-adv-per-algorithm-label-blocks-02

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-bowers-spring-adv-per-algorithm-label-blocks-02

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/